Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.api
Enum JavaVersion

    java.lang.Object
      java.lang.Enum
          org.gradle.api.JavaVersion

    enum JavaVersion
    extends java.lang.Enum

An enumeration of Java versions.

Enum Constant Summary
`VERSION_1_1`
`VERSION_1_2`
`VERSION_1_3`
`VERSION_1_4`
`VERSION_1_5`
`VERSION_1_6`

Method Summary
`java.lang.String` | `toString()`
`static JavaVersion` | `toVersion(java.lang.Object value)` Converts the given object into a {
`JavaVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`org.gradle.api.JavaVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
hashCode, compareTo, compareTo, equals, toString, name, valueOf, getDeclaringClass, ordinal, getClass, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Enum Constant Detail

### VERSION_1_1

    JavaVersion VERSION_1_1

### VERSION_1_2

    JavaVersion VERSION_1_2

### VERSION_1_3

    JavaVersion VERSION_1_3

### VERSION_1_4

    JavaVersion VERSION_1_4

### VERSION_1_5

    JavaVersion VERSION_1_5

### VERSION_1_6

    JavaVersion VERSION_1_6

Method Detail

### toString

    @Override
    public java.lang.String toString()

### toVersion

    public static JavaVersion toVersion(java.lang.Object value)

  Converts the given object into a `JavaVersion`.
  param:
    value An object whose toString() value is to be converted. May be null.
  return:
    The version, or null if the provided value is null.
  throws:
    IllegalArgumentException when the provided value cannot be converted.

### valueOf

    JavaVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name.

### values

    org.gradle.api.JavaVersion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared.

Groovy Documentation